capture_output {testthat} | R Documentation

## Capture output to console

### Description

Evaluates `code` in a special context in which all output is captured, similar to `capture.output()`.

### Usage

    capture_output(code, print = FALSE, width = 80)

    capture_output_lines(code, print = FALSE, width = 80)

### Arguments

`code` | Code to evaluate.
`print` | If `TRUE` and the result of evaluating `code` is visible this will print the result, ensuring that the output of printing the object is included in the overall output
`width` | Number of characters per line of output. This does not inherit from `getOption("width")` so that tests always use the same output width, minimising spurious differences.

### Value

`capture_output()` returns a single string. `capture_output_lines()` returns a character vector with one entry for each line

### Examples

    capture_output({
      cat("Hi!\n")
      cat("Bye\n")
    })

    capture_output_lines({
      cat("Hi!\n")
      cat("Bye\n")
    })

    capture_output("Hi")
    capture_output("Hi", print = TRUE)

[Package testthat version 2.1.1 Index]